Get a single company
curl --request GET \
--url https://openapi.enginy.ai/v1/company/{companyId} \
--header 'x-api-key: <api-key>'import requests
url = "https://openapi.enginy.ai/v1/company/{companyId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://openapi.enginy.ai/v1/company/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": {
"id": 123,
"appUrl": "<string>",
"name": "<string>",
"domain": "<string>",
"website": "<string>",
"companyLinkedInUrl": "<string>",
"industry": "<string>",
"rangeOfEmployees": "<string>",
"numberOfEmployees": 123,
"yearfounded": "<string>",
"description": "<string>",
"country": "<string>",
"city": "<string>",
"streetAddress": "<string>",
"phoneNumber": "<string>",
"companyEmail": "<string>",
"revenueRange": "<string>",
"hiringOnLinkedIn": true,
"openJobPositions": 123,
"companyCRMId": "<string>",
"isCompanyInCRM": true,
"contactsCount": 123,
"lastContactedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"smartFieldExplanations": {},
"companyHeadcount": [
{
"employeeCount": 123,
"threeMonthGrowth": 123,
"sixMonthGrowth": 123,
"oneYearGrowth": 123,
"department": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}Companies
Get a single company
Retrieve a single company by ID.
Responses include direct Enginy app URLs when available. The returned company includes an appUrl field. MCP agents should return those URLs to users whenever they are present in the response.
Required scope:
COMPANIES_READRate limit: 100 requests per minute
GET
/
v1
/
company
/
{companyId}
Get a single company
Authorizations
Path Parameters
The company ID
Query Parameters
Specific company fields to include in the response (comma-separated or array). Use GET /v1/companies/fields (MCP tool get_company_field_metadata) to discover valid company field names.
⌘I